<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:25 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.PrimitiveFloatKind (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.PrimitiveFloatKind (org.eclipse.papyrus.designer.ucm.types.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/class-use/PrimitiveFloatKind.html" target="_top">Frames</a></li>
<li><a href="PrimitiveFloatKind.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.PrimitiveFloatKind" class="title">Uses of Class<br>org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.PrimitiveFloatKind</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a> in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types</a> with type parameters of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatKind.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html#VALUES">VALUES</a></span></code>
<div class="block">A public read-only list of all the '<em><b>Primitive Float Kind</b></em>' enumerators.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types</a> that return <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatKind.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html#get-int-">get</a></span>(int&nbsp;value)</code>
<div class="block">Returns the '<em><b>Primitive Float Kind</b></em>' literal with the specified integer value.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatKind.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html#get-java.lang.String-">get</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;literal)</code>
<div class="block">Returns the '<em><b>Primitive Float Kind</b></em>' literal with the specified literal value.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatKind.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html#getByName-java.lang.String-">getByName</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the '<em><b>Primitive Float Kind</b></em>' literal with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloat.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloat.html#getKind--">getKind</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Kind</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatKind.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html#valueOf-java.lang.String-">valueOf</a></span>(<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name)</code>
<div class="block">Returns the enum constant of this type with the specified name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a>[]</code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatKind.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html#values--">values</a></span>()</code>
<div class="block">Returns an array containing the constants of this enum type, in
the order they are declared.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types</a> with parameters of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloat.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloat.html#setKind-org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.PrimitiveFloatKind-">setKind</a></span>(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloat.html#getKind--"><code><em>Kind</em></code></a>' attribute.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a> in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl</a> declared as <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveFloatImpl.html#kind">kind</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveFloatImpl.html#getKind--"><code><em>Kind</em></code></a>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected static <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveFloatImpl.html#KIND_EDEFAULT">KIND_EDEFAULT</a></span></code>
<div class="block">The default value of the '<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveFloatImpl.html#getKind--"><code><em>Kind</em></code></a>' attribute.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl</a> that return <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">TypesFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/TypesFactoryImpl.html#createPrimitiveFloatKindFromString-org.eclipse.emf.ecore.EDataType-java.lang.String-">createPrimitiveFloatKindFromString</a></span>(org.eclipse.emf.ecore.EDataType&nbsp;eDataType,
                                  <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;initialValue)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveFloatImpl.html#getKind--">getKind</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/package-summary.html">org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.impl</a> with parameters of type <a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PrimitiveFloatImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/impl/PrimitiveFloatImpl.html#setKind-org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types.PrimitiveFloatKind-">setKind</a></span>(<a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">PrimitiveFloatKind</a>&nbsp;newKind)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../../../../org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/PrimitiveFloatKind.html" title="enum in org.eclipse.papyrus.designer.ucm.types.profile.UCMTypes.Types">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/types/profile/UCMTypes/Types/class-use/PrimitiveFloatKind.html" target="_top">Frames</a></li>
<li><a href="PrimitiveFloatKind.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
